Автор Тема: Проблемы с установкой Node js  (Прочитано 3134 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн 4din

Проблемы с установкой Node js
« : 10 Июль 2017, 09:56:22 »
Здравствуйте!
Прошу не ругайте если указал что-то не то или опубликовал тему не в той ветке.
Установку провожу на домашнем компьютере.

Пытаюсь установить nodejs по следующей инструкции
Spoiler: ShowHide

Установите PPA, чтобы получить доступ к содержимому архива.
cd ~
curl -sL https://deb.nodesource.com/setup_6.x -o nodesource_setup.sh
Ознакомьтесь с содержимым сценария с помощью текстового редактора.
nano nodesource_setup.sh
(в сценарии прописана 6-я версия, также там прописано добавить после sudo -E, тоже же ни чего не изменилось)

sudo bash nodesource_setup.sh
sudo apt-get install nodejs


После чего проверяю версию nodejs
nodejs -v
v0.10.29


Система:
uname -a
Linux rd 3.16.0-4-686-pae #1 SMP Debian 3.16.43-2+deb8u2 (2017-06-26) i686 GNU/Linux

lsb_release -a
No LSB modules are available.
Distributor ID: MX
Description: MX-16 Metamorphosis
Release: 16
Codename: Metamorphosis

Заранее благодарен!
 

Оффлайн Dripfeeder

  • Пользователь
  • *
  • Сообщений: 12
  • Jabber: telegram:@dripfeeder
Re: Проблемы с установкой Node js
« Ответ #1 : 10 Июль 2017, 11:09:26 »
1. curl -sL https://deb.nodesource.com/setup_6.x | bash - (под рутом)
2. apt update
3. apt install nodejs
 

Оффлайн vic5710

Re: Проблемы с установкой Node js
« Ответ #2 : 10 Июль 2017, 11:14:48 »
nodejs -v
v0.10.29
это дефолтная версия из репы дебиан - не обновили репозиторий
 

Оффлайн 4din

Re: Проблемы с установкой Node js
« Ответ #3 : 10 Июль 2017, 13:02:31 »
Я сейчас хотел написать какие ошибки у меня вылезали при установке через nvm и решил повторить установку через nvm,  и  он(nodejs) установился.
Но теперь у меня возникли 2 новые проблемы:
1) После перезагрузки системы bash при вводе nvm|npm|nodejs к любой из команд пишет что команда не найдена. Делаю следующее
bash install_nvm.shпосле чего он просит либо перезагрузить систему или терминал(не помню что именно(делал и то и то результат один: опять говорит, что команда не найдена)), либо ввести следующие команды
export NVM_DIR="/root/.nvm
[ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm.sh"
и тогда только nvm|npm|nodejs начинают работать. Таким образом получается, что без этого после загрузки системы nvm|npm|nodejs не работают.
2) При попытке установить gulp выдаёт следующее:
npm i gulp -g
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated graceful-fs@1.2.3: graceful-fs v3.0.0 and before will fail on node releases >= v7.0. Please update to graceful-fs@^4.0.0 as soon as possible. Use 'npm ls graceful-fs' to find it in the tree.
/root/.nvm/versions/node/v8.1.3/bin/gulp -> /root/.nvm/versions/node/v8.1.3/lib/node_modules/gulp/bin/gulp.js
+ gulp@3.9.1
added 185 packages in 31.285s
При этом
npm view minimatch version
3.0.4

Все приведённые выше операции производил как под nodejs 6.11.0 , так и под nodejs 8.1.3  , в обоих случаях один и тот же результат.
Надеюсь кто-нибудь знает выход из этой ситуации. :-[
 

Теги:
 

Проблемы с Dhcp

Автор dr753

Ответов: 0
Просмотров: 1752
Последний ответ 29 Март 2013, 14:08:27
от dr753
Установка библиотеки NewMagickWand и проблемы тайм-аута

Автор Марина

Ответов: 1
Просмотров: 1313
Последний ответ 13 Январь 2016, 05:18:03
от ihammers
Есть ли мануал. Проблемы с PhpMyAdmin

Автор pallax

Ответов: 1
Просмотров: 1413
Последний ответ 27 Февраль 2020, 04:00:30
от endru
[Решено] Проблемы с RAID 1

Автор siferdj

Ответов: 15
Просмотров: 4310
Последний ответ 20 Январь 2014, 19:11:48
от siferdj
Проблемы с работой вебсервера apache2

Автор IFernando

Ответов: 0
Просмотров: 994
Последний ответ 16 Ноябрь 2017, 20:33:51
от IFernando